Subject: Re: linux-next: manual merge of the tip-core tree with Linus' tree

From: Ingo Molnar <[email-masked]>
Date: Mon, 9 Feb 2009 09:51:28 +0100

* Chris Mason <[email-masked]> wrote:

> On Mon, 2009-02-09 at 11:38 +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the tip-core tree got a conflict in
> > fs/btrfs/locking.c between commit
> > b4ce94de9b4d64e8ab3cf155d13653c666e22b9b ("Btrfs: Change btree locking to
> > use explicit blocking points") from Linus' tree and commit
> > cf47b8f3d96b0b8b10b557444a28b3ca4024ff82 ("Btrfs: stop spinning on
> > mutex_trylock and let the adaptive code spin for us") from the tip-core
> > tree.
> > 
> > Resolved as in tip/master by taking the version from Linus' tree.
> 
> Sorry, I meant to ask Ingo to drop the patch I had sent along for the btrfs 
> adaptive code. Using Linus' copy was the right answer, it replaces the patch I 
> sent to Ingo.

It was obvious how to resolve it so i did not notify you about it. I generally ping 
people when a conflict looks troublesome in some way - that's pretty rare.

	Ingo